Bug 19064 - anacron's default anacrontab puts /usr/local/bin at the front of $PATH
anacron's default anacrontab puts /usr/local/bin at the front of $PATH
Product: Red Hat Linux
Classification: Retired
Component: anacron (Show other bugs)
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
David Lawrence
: Security
Depends On:
  Show dependency treegraph
Reported: 2000-10-13 13:26 EDT by Need Real Name
Modified: 2007-03-26 23:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-10-13 13:26:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-10-13 13:26:31 EDT
anacron (anacron-2.3-9, included in RH7) ships with an /etc/anacrontab file
that reads, in part,

   1	5	cron.daily		run-parts /etc/cron.daily

I believe anacron is activated by default.  If a site admin gives untrusted
users write access to /usr/local/bin or /usr/local/sbin, a malicious user
put a "run-parts" program in one of those two directories, and if anacron
to do something after the next reboot, that user's script/program will be
executed as root.

The PATH setting in the /etc/anacrontab should be adjusted, or removed. 
The /etc/crontab that came with my RH7 system has a correct PATH setting:


which would solve this problem just fine.

Hope that helps,

Jason Molenda
Comment 1 Crutcher Dunnavant 2000-10-17 13:00:47 EDT
If a local admin gives untrusted users write access to system binary directorys,
it is they who are opening the hole, and they who need to consider the security

/usr/local/sbin and /usr/local/bin exist so that local installations can
override system level commands, with replacing the original binarys, so they
belong first in the search order.

This is not a bug.

Note You need to log in before you can comment on or make changes to this bug.